Summary:	Utility to manipulate IPv6 addresses
Name:		ipv6calc
Version:	0.93.1
Release:	2
License:	GPLv2
Group:		System/Base
URL:		http://www.deepspace6.net/projects/ipv6calc.html
Source0:	ftp://ftp.bieringer.de/pub/linux/IPv6/ipv6calc/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.bieringer.de/pub/linux/IPv6/ipv6calc/%{name}-%{version}.tar.gz.asc
Patch0:		ipv6calc-0.93.1-dont-update-anything.patch
BuildRequires:	wget
BuildRequires:	aggregate
BuildRequires:	GeoIP-devel
BuildRequires:	perl-XML-Simple
#BuildRequires:	ip2location-devel ?
Requires:	geoip

%description
ipv6calc is a small but powerful utility written in the C programming language
to manipulate (not only) IPv6 addresses. ipv6calc allows the users to convert a
given IPv6 address to the compressed format or to the format used by
/proc/net/if_inet6. ipv6calc is also the replacement of the old ip6_int Perl
program.

%prep

%setup -q
%patch0 -p1 -b .dont-update-anything~

%build
%configure2_5x \
	--enable-geoip \
	--with-geoip-ipv4-default-file=%{_datadir}/GeoIP/GeoIP.dat

#update databases
%make update

%make

%install
%makeinstall_std

## Install examples and helper files to temporary dir
## to be tagged as docs
mkdir -p installed-docs

# ipv6logconv
mkdir -p installed-docs/ipv6logconv
cp -r examples/analog/* installed-docs/ipv6logconv

# ipv6loganon
mkdir -p installed-docs/ipv6loganon
cp ipv6loganon/README installed-docs/ipv6loganon/

# ipv6logstats
mkdir -p installed-docs/ipv6logstats
cp ipv6logstats/example_* ipv6logstats/collect_ipv6logstats.pl README installed-docs/ipv6logstats/
cp -r ipv6logstats/examples-data ipv6logstats/examples-gri installed-docs/ipv6logstats/

# ipv6calcweb
mkdir -p installed-docs/ipv6calcweb
cp ipv6calcweb/USAGE ipv6calcweb/ipv6calcweb.cgi installed-docs/ipv6calcweb

%check
#make test

%files
%doc CREDITS README TODO USAGE doc/ipv6calc.html installed-docs/*
%{_bindir}/ipv6*
%{_mandir}/man8/*.8*


%changelog
* Fri Mar 16 2012 Bogdano Arendartchuk <bogdano@mandriva.com> 0.93.1-2
+ Revision: 785309
- don't try to download updated databases

  + Alexander Khrukin <akhrukin@mandriva.org>
    - version update 0.93.1

* Wed Nov 09 2011 Andrey Bondrov <abondrov@mandriva.org> 0.92.0-1
+ Revision: 729297
- Disable tests for now
- Add perl-XML-Simple to BuildRequires
- New version 0.92.0

  + Jani Välimaa <wally@mandriva.org>
    - new version 0.90.0
    - add GeoIP support
    - add more docs
    - enable tests

* Sun May 15 2011 Oden Eriksson <oeriksson@mandriva.com> 0.82.1-1
+ Revision: 674883
- 0.82.1

* Wed May 04 2011 Oden Eriksson <oeriksson@mandriva.com> 0.80.0-2
+ Revision: 665521
- mass rebuild

* Sun Jan 23 2011 Oden Eriksson <oeriksson@mandriva.com> 0.80.0-1
+ Revision: 632426
- add the sig file...
- package the correct sig file
- 0.80.0

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.73.0-2mdv2011.0
+ Revision: 605981
- rebuild

* Sun Mar 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.73.0-1mdv2010.1
+ Revision: 515307
- drop old patches applied upstream
- use %%makeinstall
- update to 0.73
- rediff patch

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.72.0-2mdv2010.0
+ Revision: 425375
- rebuild

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 0.72.0-1mdv2009.1
+ Revision: 316240
- 0.72.0
- really make it use %%optflags
- fix build with -Werror=format-security

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.71.0-5mdv2009.0
+ Revision: 221641
- rebuild

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 0.71.0-4mdv2008.1
+ Revision: 150321
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 0.71.0-3mdv2008.0
+ Revision: 81031
- bump release

* Thu Aug 23 2007 Olivier Blin <blino@mandriva.org> 0.71.0-2mdv2008.0
+ Revision: 69316
+ rebuild (emptylog)

* Thu Aug 02 2007 Olivier Blin <blino@mandriva.org> 0.71.0-1mdv2008.0
+ Revision: 58038
- 0.71.0

* Fri Apr 20 2007 Olivier Blin <blino@mandriva.org> 0.70.0-2mdv2008.0
+ Revision: 16227
- add html doc

* Fri Apr 20 2007 Olivier Blin <blino@mandriva.org> 0.70.0-1mdv2008.0
+ Revision: 16198
- initial Mandriva release (an obsolete copy was previously bundled in iputils)
- Create ipv6calc

